package com.yunyan.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunyan.business.document.y22.pojo.finalExcelY22.ExcelDeptInfoVo;
import com.yunyan.business.domain.FinalData;
import com.yunyan.business.pojo.admin.dto.*;
import com.yunyan.business.pojo.admin.vo.*;
import com.yunyan.common.core.domain.AjaxResultVo;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * 报告数据Service接口
 *
 * @author yunyan
 * @date 2023-07-27
 */
public interface IFinalDataUpdateDataService extends IService<FinalData>
{

    /**
     * 更新 json 数据
     */
    void finalDataUpdateData();

    /**
     * 从 excel 文件再获取 数据
     */
    void finalDataUpdateDataFromExcel();

    /**
     * excel 的设置名词解释
     */
    void finalDataUpdateDataTerm();

    /**
     * 设置 部门的 更新 info
     */
    void finalDataUpdateDataDeptInfo();

    /**
     * 设置 三公的默认值
     */
    void finalDataUpdateDataDefaultF03();


    /**
     * 生成 所有的报告文件
     */
    void generateAllFile();

    /**
     * 修改p3p8的自评
     */
    void finalDataUpdateDataT8();

    /**
     * 更新 p6的保有量
     */
    void finalDataUpdateDataP6FromExcel(String area);

    /**
     * 重新生成 PDF
     * @param area
     */
    void finalDataGenerate(String area, String s, String year, Integer type);

    void finalDataMoveReportDeptInfo(String area);

    /**
     * 移动 情况说明的数据到新表中
     * @param area
     * @param year
     */
    void finalDataMoveReportExplain(String area, String year, Integer type);

    /**
     * 更新 网址填报的 状态
     */
    void websiteFillUpdate(String area);

}
